complexType "PartyTradeIdentifier"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 15 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | partyReference, accountReference?, (tradeId | versionedTradeId)+, linkId*, allocationTradeId*, blockTradeId?
</...>

Content Model Elements (7):

  accountReference (defined in PartyAndAccountReferences.model group),
  allocationTradeId (defined in PartyTradeIdentifier complexType),
  blockTradeId,
  linkId,
  partyReference (defined in PartyAndAccountReferences.model group),
  tradeId (defined in TradeIdentifier complexType),
  versionedTradeId

All Direct / Indirect Based Elements (15):

  newTradeIdentifier (in novation),
  newTradeIdentifier (in novation),
  oldTradeIdentifier (defined in TradeChangeContent complexType),
  oldTradeIdentifier (in novation),
  partyTradeIdentifier (defined in PartyTradeIdentifiers complexType),
  partyTradeIdentifier (in tradeHeader),
  partyTradeIdentifier (in tradeReferenceInformation),
  resultingTradeIdentifier,
  tradeIdentifier (defined in OptionExpiryBase complexType),
  tradeIdentifier (defined in TradeChangeBase complexType),
  tradeIdentifier (defined in TradeMaturity complexType),
  tradeIdentifier (in deClear),
  tradeIdentifier (in optionExercise),
  tradeIdentifier (in optionExpiry defined in Events.model group),
  tradeIdentifier (in tradeChangeAdviceRetracted)

Known Usage Locations

- As direct type of elements (15):
  newTradeIdentifier (in novation),
  newTradeIdentifier (in novation),
  oldTradeIdentifier (defined in TradeChangeContent complexType),
  oldTradeIdentifier (in novation),
  partyTradeIdentifier (defined in PartyTradeIdentifiers complexType),
  partyTradeIdentifier (in tradeHeader),
  partyTradeIdentifier (in tradeReferenceInformation),
  resultingTradeIdentifier,
  tradeIdentifier (defined in OptionExpiryBase complexType),
  tradeIdentifier (defined in TradeChangeBase complexType),
  tradeIdentifier (defined in TradeMaturity complexType),
  tradeIdentifier (in deClear),
  tradeIdentifier (in optionExercise),
  tradeIdentifier (in optionExpiry defined in Events.model group),
  tradeIdentifier (in tradeChangeAdviceRetracted)

Annotation
A type defining one or more trade identifiers allocated to the trade by a party. A link identifier allows the trade to be associated with other related trades, e.g. trades forming part of a larger structured transaction. It is expected that for external communication of trade there will be only one tradeId sent in the document per party.
Type Definition Detail

Type Derivation Tree TradeIdentifier (extension) PartyTradeIdentifier

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="PartyTradeIdentifier"> <xsd:complexContent> <xsd:extension base="TradeIdentifier"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="linkId" type="LinkId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="allocationTradeId" type="TradeIdentifier"/> <xsd:element minOccurs="0" name="blockTradeId" type="TradeIdentifier"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/7)
allocationTradeId

  Type: | TradeIdentifier, complex content

  The trade id of the allocated trade. This is used by the block trade to reference the allocated trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="allocationTradeId" type="TradeIdentifier"/>

blockTradeId

  Type: | TradeIdentifier, complex content

  The trade id of the block trade. This is used by each one of the allocated trades to reference the block trade. This element can also represent the trade id of the parent trade for N-level allocations. In the case, this element is only used to model N-level allocations in which the trade acts as block and allocated trade at the same time. This basically means the ability to allocate a block trade to multiple allocation trades, and then allocate these in turn to other allocation trades (and so on if desired).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="blockTradeId" type="TradeIdentifier"/>

linkId

  Type: | LinkId, simple content

  A link identifier allowing the trade to be associated with other related trades, e.g. the linkId may contain a tradeId for an associated trade or several related trades may be given the same linkId. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="linkId" type="LinkId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.